---
lang: en
title: 'API docs: rest.defaultsequence._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.defaultsequence._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [DefaultSequence](./rest.defaultsequence.md) &gt; [(constructor)](./rest.defaultsequence._constructor_.md)

## DefaultSequence.(constructor)

Constructor: Injects findRoute, invokeMethod &amp; logError methods as promises.

**Signature:**

```typescript
constructor(findRoute: FindRoute, parseParams: ParseParams, invoke: InvokeMethod, send: Send, reject: Reject);
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

findRoute


</td><td>

[FindRoute](./rest.findroute.md)


</td><td>

Finds the appropriate controller method, spec and args for invocation (injected via SequenceActions.FIND\_ROUTE).


</td></tr>
<tr><td>

parseParams


</td><td>

[ParseParams](./rest.parseparams.md)


</td><td>

The parameter parsing function (injected via SequenceActions.PARSE\_PARAMS).


</td></tr>
<tr><td>

invoke


</td><td>

[InvokeMethod](./rest.invokemethod.md)


</td><td>

Invokes the method specified by the route (injected via SequenceActions.INVOKE\_METHOD).


</td></tr>
<tr><td>

send


</td><td>

[Send](./rest.send.md)


</td><td>

The action to merge the invoke result with the response (injected via SequenceActions.SEND)


</td></tr>
<tr><td>

reject


</td><td>

[Reject](./rest.reject.md)


</td><td>

The action to take if the invoke returns a rejected promise result (injected via SequenceActions.REJECT).


</td></tr>
</tbody></table>


